package cz.vutbr.feec.stockElements;

import java.util.Vector;

import cz.vutbr.feec.graph.Router;

public abstract class AbstractStockCell {

	private int x;
	private int y;
	private Vector<Router> closestRouters = new Vector<>();
	private Vector<Integer> closestDistances = new Vector<>();
	
	public AbstractStockCell(int x, int y){
		this.x = x;
		this.y = y;
	}
	public void addRouter(Router r){
		closestRouters.add(r);
	}

	public void addDistance(int d){
		closestDistances.add(d);
	}
	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public Vector<Router> getClosestRouters() {
		return closestRouters;
	}

	public Vector<Integer> getClosestDistances() {
		return closestDistances;
	}
	
	public void clearRouters(){
		closestDistances.removeAllElements();
		closestRouters.removeAllElements();
	}
	
}
